﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Interfaces.Common
{
    public interface ICurrentEnvironment
    {
        /// <summary>
        /// 程序执行路径，C:\ProgramData\prykNT\prBrowser\bin\service\plugins\INSUNEW
        /// </summary>
        string Path { get; set; }

        /// <summary>
        /// 当前设备 MAC 地址
        /// </summary>
         string Mac { get; set; }

        /// <summary>
        /// 当前设备 IP 地址
        /// </summary>
        string Ip { get; set; }

        /// <summary>
        /// 签到号
        /// </summary>
         string SignNo { get; set; }

        /// <summary>
        /// 交易流水号
        /// </summary>
         string MsgId { get; set; }


        /// <summary>
        /// URL 
        /// </summary>
        string URL { get; set; }

    }
}
