﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Interfaces.Common
{
    /// <summary>
    /// 当前HIS发生的业务信息，包括业务编号，操作类型等等，后续可扩展
    /// </summary>
    public interface IHISBusinessInfo
    {
        /// <summary>
        /// 业务类型
        /// </summary>
        string BusinessType { get; set; }

        /// <summary>
        /// 操作类型，目前主要区分门诊挂号和门诊结算 OnlyReadCard，SettlementOP，RegisterOP
        /// </summary>
        string OperationType { get; set; }
    }
}
