﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Interfaces.InsuInfo
{
    public interface IBaseInsuInfo
	{
		/// <summary>
		/// 姓名
		/// </summary>
		string Name { get; set; }

		/// <summary>
		/// 人员编号
		/// </summary>
		string PersonnelNO { get; set; }


		/// <summary>
		/// 人员证件类型
		/// </summary>
		string PersonnelCertificateType { get; set; }

		/// <summary>
		/// 证件号码
		/// </summary>
		string CertificateNO { get; set; }

		/// <summary>
		/// 性别
		/// </summary>
		string Gend { get; set; }
		/// <summary>
		/// 民族
		/// </summary>
		string Naty { get; set; }
		/// <summary>
		/// 年龄
		/// </summary>
		string Age { get; set; }
		/// <summary>
		/// 生日
		/// </summary>
		string Brdy { get; set; }
	}
}
