﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Interfaces.InsuInfo
{
    /// <summary>
    /// 科室，诊断，疾病等可用该结构体
    /// </summary>
    public interface IItemInfo
    {
        /// <summary>
        /// 中心编码
        /// </summary>
        string Code { get; set; }
        /// <summary>
        /// 中心名称
        /// </summary>
        string Name { get; set; }

        /// <summary>
        /// 类型
        /// </summary>
        string Type { get; set; }

        /// <summary>
        /// 描述 ，说明
        /// </summary>
        string Description { get; set; }
    }
}
