﻿using System;
using System.Collections.Generic;
using System.IO;
using System.IO.Compression;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Utils
{
    class ZipFileHelper
    {
        public static int ExtractFile(string sourcePath, string destPath, out string error)
        {
            error = "";
            try
            {

                if (!File.Exists(sourcePath))
                {
                    error = "原始文件不存在";
                    return -1;
                }

                ZipFile.ExtractToDirectory(sourcePath, destPath);
                return 0;
            }
            catch (Exception ex)
            {
                error = "提取文件异常：" + ex.Message;
                return -1;
            }
        }
    }
}
