﻿using PTMedicalInsurance.Demo.Entity.Enums;
using PTMedicalInsurance.Demo.Entity.Structs;
using PTMedicalInsurance.Demo.Globals;
using PTMIBase.MIForm;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using PTMedicalInsurance.Demo.Forms;

namespace PTMedicalInsurance.Demo
{
    public partial class MockInvokeForm : DebugBaseForm
    {
        public MockInvokeForm()
        {
            InitializeComponent();
        }
        public MockInvokeForm(Form frm):base(frm)
        {
            InitializeComponent();
            InitForm();
        }

        private void InitForm()
        {
            //增加
            var subTypeMapping = new Dictionary<FormEnum, Type>
            {
                { FormEnum.ChooseCard, typeof(ChooseCardSubBusEnum) },
            };

            DebugBaseFormHelper<FormEnum>.InitCombox(subTypeMapping,cbBusinessType,cbSubBusiness);
            
        }

        private void cbBusinessType_SelectedIndexChanged(object sender, EventArgs e)
        {
            DebugBaseFormHelper<FormEnum>.UpdateSubTypeAfterCbxMainTypeChanged(cbBusinessType, cbSubBusiness);
        }

        private void btCall_Click(object sender, EventArgs e) 
        {
            glb.Init();
            glb.SetCurrentEnvironment(new CurrentEnvironment());


            ChooseCard cc = new ChooseCard();
            cc.ShowDialog();
        }
    }
}
