﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Interfaces.Configuration.IRIS
{
    public interface IBranchBusinessInfo
    {
        /// <summary>
        /// URL 地址
        /// </summary>
         string Url { get; set; }


        /// <summary>
        /// API 密钥
        /// </summary>
         string ApiSecretKey { get; set; }

        /// <summary>
        /// APPID 或 密钥ID
        /// </summary>
         string Appid { get; set; }

        /// <summary>
        /// 密钥ID 或 密钥KEY
        /// </summary>
         string SecretKey { get; set; }

        /// <summary>
        /// 私钥（渠道私钥）
        /// </summary>
         string PrivateKey { get; set; }

        /// <summary>
        /// 渠道公钥
        /// </summary>
         string ChannelKey { get; set; }

        /// <summary>
        /// 平台公钥
        /// </summary>
         string Key { get; set; }
    }
}
