﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Interfaces.Configuration.Local
{
    /// <summary>
    /// 本地配置文件信息,主要记录IRIS服务的连接信息
    /// </summary>
    public interface IIrisConfigue
    {

        /// <summary>
        /// IP
        /// </summary>
        string IP { get; set; }

        /// <summary>
        /// URL
        /// </summary>
        string URL { get; set; }

        /// <summary>
        /// 授权
        /// </summary>
        string Authorization { get; set; }

        /// <summary>
        /// 事前事中开关  ini.ReadValue("PreAndInProcessAnalysis", "isOpenAnalysis") == "1"
        /// </summary>
        string IsOpenAnalysis { get; set; }
    }
}
