﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Interfaces.InsuInfo
{
    public interface IMobilePay
    {
        /// <summary>
        /// 支付授权码
        /// </summary>
        string PayAuthNo { get; set; }

        /// <summary>
        /// 待支付订单号
        /// </summary>
        string PayOrdId { get; set; }

        /// <summary>
        /// 支付订单对应的token
        /// </summary>
        string PayToken { get; set; }

        /// <summary>
        /// 业务流水号
        /// </summary>
        string OrgBizSer { get; set; }

        /// <summary>
        /// 电子凭证授权码
        /// </summary>
        string AuthCode { get; set; }

        /// <summary>
        /// 电子凭证渠道ID
        /// </summary>
        string ChnlAppId { get; set; }

        /// <summary>
        /// 电子凭证用户ID
        /// </summary>
        string ChnlUserId { get; set; }
    }
}
