﻿using PTMIBase.Entity.Interfaces;
using PTMIBase.Entity.Interfaces.Common;
using PTMIBase.Entity.Interfaces.HIS;
using PTMIBase.Entity.Interfaces.InsuInfo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Structs
{
    struct Patient : Interfaces.IPatient
    {
        public IBaseHISInfo BaseHISInfo 		{ get; set ; }
        public IBaseInsuInfo BaseInsuInfo 		{ get; set ; }
        public string MdtrtID 		{ get; set ; }
        public string IDCardNumber 		{ get; set ; }
        public string AdmType 		{ get; set ; }
        public IItemInfo[] Diagnosis 		{ get; set ; }
        public IItemInfo MainDiagnosis 		{ get; set ; }
        public IItemInfo Disease 		{ get; set ; }
        public IItemInfo Operation 		{ get; set ; }
        public IItemInfo AdmittingDepartment 		{ get; set ; }
        public IItemInfo DischargeDepartment 		{ get; set ; }
        public IItemInfo OrderingDepartment 		{ get; set ; }
        public IItemInfo PerformingDepartment 		{ get; set ; }
        public IItemInfo AttendingDoctor 		{ get; set ; }
        public ICurrentInsuInfo CurrentInsuInfo 		{ get; set ; }
        public ISettlement Settl 		{ get; set ; }
        public IMobilePay MobilePay 		{ get; set ; }
    }
}
